IOALLOCCOUNT(8)

NAME
ioalloccount - Summarize IOKit memory usage.

SYNOPSIS
ioalloccount

DESCRIPTION
ioalloccount displays some accounting of memory allocated by IOKit allocators, including object instances, in the kernel.

This information is useful for tracking leaks. Instance counts can also found in the root of the IORegistry in the “IOKitDiagnostics” property.

EXAMPLES

ioalloccount
    Instance allocation = 0x0022c718 = 2225 K Container allocation = 0x00141bad = 1286 K IOMalloc allocation = 0x00638221 = 6368 K Pageable allocation = 0x00f4f000 = 15676 K

SEE ALSO
ioclasscount(8), ioreg(8)